Subject: Re: bug#58506: Use ".dir-locals.eld" and ".dir-locals-2.eld" when they exist

From: Philip Kaludercic <[email-masked]>
Date: Fri, 14 Oct 2022 15:07:19 +0000

Stefan Kangas <[email-masked]> writes:

> Severity: wishlist
>
> [Spun out from Bug#58486.]
>
> Juri Linkov <[email-masked]> writes:
>
>> It's already handled by auto-mode-alist:
>>
>>   (defvar auto-mode-alist
>>        ...
>>        ;; .dir-locals.el is not really Elisp.  Could use the
>>        ;; `dir-locals-file' constant if it weren't defined below.
>>        ("\\.dir-locals\\(?:-2\\)?\\.el\\'" . lisp-data-mode)
>
> It's nice if we can use the "*.eld" extension for files that are not
> supposed to be executed.  But it's hard to just change that outright, as
> a file ".dir-locals.eld" won't be used on old versions of Emacs.

FWIW it could be possible to mitigate this situation using Compat from
ELPA.  It could make use of the `hack-local-variables-hook' and
"transparently" add support for .dir-locals.eld.  Another idea would be
to provide such a feature as a package that could intentionally be
installed from ELPA for older versions.